Skip to main content

Top Countries

Get countries ranked by donation volume.

GET
/donation/top-countries
x-api-key<token>

API key used for authentication

In: header

Query Parameters

startDate?string

Start date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
endDate?string

End date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
limit?integer

Number of top countries to return (1-100, default 10)

Default10
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/donation/top-countries"
{
  "countries": [
    {
      "country": "US",
      "total": 25000,
      "count": 15,
      "currency": "usd"
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {}
}